#pragma once

#include "Vector3.h"

//-----------------------------------------------------------------------------
// Particle Manager class
//-----------------------------------------------------------------------------
class CParticleManager
{
public:
	CParticleManager( int ParticleCount = 500, float Range = 500.0f, float MaxHeight = 300.0f );
	virtual ~CParticleManager();

public:
	void Render();
	void Update();
	void SetParticleVelocity( float fMinFallVelocity, float fMaxFallVelocity )
	{
		m_fMinFallVelocity = fMinFallVelocity;
		m_fMaxFallVelocity = fMaxFallVelocity;
	}

protected:
	int			m_ParticleCount;	// Number of particles
	float		m_fMinFallVelocity;	// Velocity at which a particle can fall
	float		m_fMaxFallVelocity;
	float		m_fRange;			// Maximum x and z position for all particles
	float		m_fMaxHeight;		// Maximum y value (height)
	Vector3*	m_pvecParticles;	// Position of each particle
	float*		m_pfVelocities;		// Velocity of each particle
};
